/* Copyright (C) 1998 Odysseas Pentakalos and Aram Khalili

  This program is freely distributable under the GNU General
  Public License Version 2 or later. The GNU GPL is available
  from the Free Software Foundation, Inc., 59 Temple Place,
  Suite 330, Boston, MA 02111-1307, USA.

  The authors can be contacted by email :
  Odysseas Pentakalos : odysseas@cs.umbc.edu
  Aram Khalili        : akhali1@gl.umbc.edu
*/

#include <sys/time.h>
#include <unistd.h>
#include <stdio.h>
#include <math.h>

int get_time(double *time)
{
  struct timeval tv;

  gettimeofday(&tv, NULL);

  *time=(double) tv.tv_sec + ((double) tv.tv_usec)/1000000;

  return 1;
}
